<script setup name="hisTest">
import { ref, reactive } from "vue";

const testTypes = [
  {
    prop: 'hrfd',
    label: '核容放电'
  },
  {
    prop: 'hrcd',
    label: '核容充电'
  },
  {
    prop: 'jkfd',
    label: '监控放电'
  },
  {
    prop: 'jkcd',
    label: '监控充电'
  },
  {
    prop: 'tdfd',
    label: '停电放电'
  }
];

const testRecordList = reactive({
  hrfd: [],
  hrcd: [],
  jkfd: [],
  jkcd: [],
  tdfd: []
});

</script>

<template>
  <div class="page-his">
    <div class="filter">
      <div class="item" v-for="(item, idx) in testTypes" :key="'list0_' + idx">
        <div class="label">{{ item.label }}</div>
        <div class="value">
          <el-select
            v-model="item.prop"
            size="small"
            clearable
            placeholder="请选择"
          >
            <el-option
              v-for="(item, idx) in testRecordList[item.prop]"
              :key="'list5_' + idx"
              :label="item.label"
              :value="item.value"
            >
            </el-option>
          </el-select>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped lang="less">

</style>